# $Revision: 1.21 $, $Date: 2005/04/24 00:39:18 $
#
# Conditional build:
%bcond_without	fltk	# without FLTK UI
%bcond_without	gtkmm	# without gtkmm UI
%bcond_without	ladcca	# with ladcca support
#
Summary:	Graphical patch bay for the ALSA sequencer and JACK
Summary(pl):	Graficzny interfejs dla sekwencera ALSY i JACK-a
Name:		alsa-patch-bay
Version:	1.0.0
Release:	3
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://pkl.net/~node/software/%{name}-%{version}.tar.gz
# Source0-md5:	3aa458f6bee8b83b2cf7330707d72430
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-desktop_pl.patch
Patch2:		%{name}-missing_m4.patch
Patch3:		%{name}-pic.patch
URL:		http://pkl.net/~node/alsa-patch-bay.html
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_fltk:BuildRequires:	fltk-devel >= 1.1}
%{?with_gtkmm:BuildRequires:	gtkmm22-devel}
BuildRequires:	jack-audio-connection-kit-devel >= 0.80.0
%{?with_ladcca:BuildRequires:	ladcca-devel}
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	%{name}-ui = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ALSA Patch Bay is a GUI patchbay for the ALSA sequencer and
the JACK audio subsystems. In easy way connects ports of MIDI and
audio devices like sequencer, external keyboard, soft synth and
many others.

%description -l pl
ALSA Patch Bay to graficzny interfejs dla podsystemw sequencera
ALSY oraz dwikowego JACK-a. W atwy sposb czy porty urzdze
MIDI i audio jak sekwencer, zewntrzne klawisze, synteza programowa
i wiele innych.

%package driver-alsa
Summary:	ALSA audio driver for ALSA Patch Bay
Summary(pl):	Sterownik dwiku ALSA dla ALSA Patch Bay
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-ui = %{version}-%{release}

%description driver-alsa
ALSA audio driver for ALSA Patch Bay.

%description driver-alsa -l pl
Sterownik dwiku ALSA dla ALSA Patch Bay.

%package driver-jack
Summary:	JACK audio driver for ALSA Patch Bay
Summary(pl):	Sterownik dwiku JACK-a dla ALSA Patch Bay
Group:		X11/Applications/Sound
Provides:	jack-patch-bay
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-driver-alsa = %{version}-%{release}
Requires:	%{name}-ui = %{version}-%{release}

%description driver-jack
JACK audio driver for ALSA Patch Bay.

%description driver-jack -l pl
Sterownik dwiku JACK-a dla ALSA Patch Bay.

%package ui-fltk
Summary:	FLTK-based GUI for ALSA Patch Bay
Summary(pl):	Oparte na FLTK GUI do ALSA Patch Bay
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-ui = %{version}-%{release}

%description ui-fltk
FLTK-based graphical user interface for ALSA Patch Bay.

%description ui-fltk -l pl
Oparty na FLTK graficzny interfejs uytkownika do ALSA Patch Bay.

%package ui-gtkmm
Summary:	GTKmm-based GUI for ALSA Patch Bay
Summary(pl):	Oparte na GTKmm GUI do ALSA Patch Bay
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}
Requires:	gtkmm22
Provides:	%{name}-ui = %{version}-%{release}

%description ui-gtkmm
GTKmm-based GUI for ALSA Patch Bay.

%description ui-gtkmm -l pl
Oparte na GTKmm GUI do ALSA Patch Bay.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__autoheader}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{!?with_fltk:--disable-fltk --disable-fltk-test} \
	%{!?with_gtkmm:--disable-gtkmm} \
	%{!?with_ladcca:--disable-ladcca} \
	--disable-static
	
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/ui/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS AUTHORS README
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/driver
%dir %{_libdir}/%{name}/ui
%{_pixmapsdir}/*.png

%files driver-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/alsa-patch-bay
%attr(755,root,root) %{_libdir}/%{name}/driver/alsa.so
%{_desktopdir}/alsa-patch-bay.desktop

%files driver-jack
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jack-patch-bay
%attr(755,root,root) %{_libdir}/%{name}/driver/jack.so
%{_desktopdir}/jack-patch-bay.desktop

%if %{with fltk}
%files ui-fltk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/ui/fltk.so
%endif

%if %{with gtkmm}
%files ui-gtkmm
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/ui/gtkmm.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-patch-bay.spec,v $
Revision 1.21  2005/04/24 00:39:18  qboosh
- more pic fixes (needed on amd64), release 3

Revision 1.20  2005/04/23 17:58:51  qboosh
- added pic patch, release 2

Revision 1.19  2005/03/25 12:32:53  freetz
- BRs updated, ladcca by default on, rel.1

Revision 1.18  2004/11/04 19:36:12  ankry
- pl fix

Revision 1.17  2003/10/31 14:17:43  qboosh
- require proper ui version

Revision 1.16  2003/10/25 00:56:19  qboosh
- fixed new bcond usage in configure

Revision 1.15  2003/10/24 23:05:37  freetz
- readded destroyed log entry

Revision 1.14  2003/10/24 22:55:14  freetz
- cosmetics

Revision 1.13  2003/10/24 22:52:04  freetz
- 1.0.0
- added Provides for fltk and gtkmm uis
- binaries moved to drivers packages
- patch missing_m4 added
- driver-jack R driver-alsa

Revision 1.12  2003/10/01 11:49:16  freetz
- up to 0.5.2 (mostly gcc fixes)
- new style bconds
- updated/corrected descriptions
- pl .desktop description (patch)
- jack-patch-bay.desktop is back (corrected in DESTDIR.patch)
- ladcca bcond (ladcca is broken and seems to be no longer developed)
- requires/file section fixes

Revision 1.11  2003/08/06 16:08:03  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.10  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.9  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:45:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/05/13 18:28:31  qboosh
- descriptions for modules

Revision 1.6  2003/05/13 15:10:26  qboosh
- split plugins into subpackages (different dependencies)
- GUIs are modular, so build both by default
- TODO: descriptions

Revision 1.5  2003/05/11 13:02:33  qboosh
- pl, missing dirs

Revision 1.4  2003/05/03 08:46:53  deejay1
- changelog cosmetics

Revision 1.3  2003/05/02 18:32:13  deejay1
- s/%%{_datadir}\/applications/%%{_desktopdir}/

Revision 1.2  2003/04/29 17:27:12  deejay1
- Removed .desktop patch - wasn't needed.

Revision 1.1  2003/04/28 21:47:42  deejay1
- Initial import.
